<?php


namespace App\Exception;


class CommandExecuteException extends \RuntimeException
{
    private $output = "";

    public function __construct(string $message = "", string $output = "", int $code = 0, \Throwable $previous = null)
    {
        $this->output = $output;
        parent::__construct($message, $code, $previous);
    }

    /**
     * @return string
     */
    public function getOutput(): string
    {
        return $this->output;
    }
}